#ifndef _SIN_VISUALIZER_H
#define _SIN_VISUALIZER_H

#include "ofMain.h"
#include <vector>

class SinVisualizer : public ofBaseApp{

public:
	void setup();
	void update();
	void draw();
	
	void keyPressed  (int key);
	void keyReleased(int key);
	void mouseMoved(int x, int y );
	void mouseDragged(int x, int y, int button);
	void mousePressed(int x, int y, int button);
	void mouseReleased(int x, int y, int button);
	void windowResized(int w, int h);
	
	

	static const int WIDTH = 1000;
	static const int HEIGHT = 500;
	static const int ROTATION_RADIUS = 100;
	static const int SECONDS_PER_CYCLE = 2;
	static const int SQUARE_WIDTH = 20;
	static const int HISTORY_SECONDS = SECONDS_PER_CYCLE * 2;

	// two types of movements
	enum cycleMode {PENDULUM, CIRCLE};
	
	static const cycleMode CYCLE_MODE = PENDULUM;
	
protected:
	vector<ofPoint> points;
	float theta;	// keep angle for pendulum
	float theta_vel;	// keep angle velocity for pendulum
	
};

#endif
